--[[

	Agroliner Container
	
	@author:	Unknown
	@date:		Unknown
	@version:	v1.0
	@history:	v1.0	- Initial Implementation
	
]]


AgrolinerContainer = {};

function AgrolinerContainer.prerequisitesPresent(specializations)
	return true;
end;

function AgrolinerContainer:load(xmlFile)
	self.isHakenliftObject = true;
end;

function AgrolinerContainer:delete()
	-- Do Nothing
end;

function AgrolinerContainer:mouseEvent(posX, posY, isDown, isUp, button)
end;

function AgrolinerContainer:keyEvent(unicode, sym, modifier, isDown)
end;

function AgrolinerContainer:update(dt)
	if self.attacherVehicle ~= nil and self.attacherVehicle:getIsActiveForInput() and self.attacherVehicle.isHakenliftTrailer and self.attacherVehicle.selectedImplement == 0 then
		if self.isClient then
            if self.currentFillType ~= Fillable.FILLTYPE_UNKNOWN then
                local fruitType = FruitUtil.fillTypeToFruitType[self.currentFillType];
                if fruitType ~= nil then
					g_currentMission:setFruitOverlayFruitType(fruitType);
				end;
            end;
        end;
	end;
end;

function AgrolinerContainer:draw()
	-- Do Nothing
end;

function AgrolinerContainer:onAttach(attacherVehicle)
	-- Do Nothing
end;

function AgrolinerContainer:onDetach()
	self.tipReferencePoint = nil; 
end;